# Archive multiple locations

```http
POST https://api.synup.com/api/v4/locations/archive
```

This API allows you to archive One or More Business Locations.

:::info[]
- Archiving a location does not delete it from your account.
- Archived locations cannot be updated until reactivated.
- The location will be scheduled for archival until the end of the billing cycle.
- Once the invoice for the next month is generated, the location will be archived.
- Payments for archived locations stop after the current billing cycle is completed.

:::

Source: https://developer.synup.com/api/locations/archive-multiple-locations

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `input` | object | optional |  |
| `input.locationIds` | array of string | required | Array of location Node IDs to archive |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/locations/archive' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "input": {
    "locationIds": [
      "TG9jYXRpb246MTE4MzMzMA==",
      "TG9jYXRpb246MTE3MTM4OQ=="
    ]
  }
}'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Locations archived successfully |
| `400` | Bad request - invalid input |
| `401` | Unauthorized - invalid or missing API key |
| `403` | Forbidden - insufficient permissions |
